package com.ydl.auth.service.config;

import com.ctrip.framework.apollo.spring.annotation.EnableApolloConfig;
import com.ydl.dbprovider.rds.config.BaseBatisConfig;
import com.ydl.dbprovider.rds.config.DbConnectionProperties;
import com.ydl.dbprovider.rds.source.DataSourceConfiguration;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import tk.mybatis.spring.annotation.MapperScan;

/**
 * Created by yubgou on ${2018年03月20日15:45:02}.
 */

@Configuration
@MapperScan("com.ydl.*.service.dao")
@EnableApolloConfig(value = {"db-switch.properties","ydl-datasource.yml"}) //从配置中心取配置文件
public class MybatisConfig extends BaseBatisConfig {

    @Bean("dbConnectionProperties")
    public DbConnectionProperties dbConnectionProperties(){
        DbConnectionProperties dbConnectionProperties = new DbConnectionProperties();
        dbConnectionProperties.setMapperLocations("classpath*:sqlmap/*Mapper.xml");
        dbConnectionProperties.setAliasesPackage("com.ydl.**.po");
        dbConnectionProperties.setDatabaseName("ydl_cooperation");
        return  dbConnectionProperties;
    }

    @Bean
    @ConfigurationProperties(prefix = "spring.datasource")
    public DataSourceConfiguration dataSourceConfiguration() {
        return new DataSourceConfiguration();
    }

}