package com.ydl.auth.service.config.source;

import com.alibaba.druid.pool.DruidDataSource;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.env.Environment;

/**
 * Created by ${汪梓文} on ${2018年03月20日15:45:02}.
 */
@Configuration
@EnableConfigurationProperties({ DataSourceProps.class })
public class DataSourceConfig {

	private final DataSourceProps sourceProps;
	private final Environment environment;

	@Autowired
	public DataSourceConfig(DataSourceProps sourceProps, Environment environment) {
		this.sourceProps = sourceProps;
		this.environment = environment;
	}

	@Bean
	public DruidDataSource druidDataSource() {
		DruidDataSource druidDataSource = new DruidDataSource();
		druidDataSource.setUrl(sourceProps.getJdbcUrl());
		druidDataSource.setUsername(sourceProps.getUserName());
		druidDataSource.setPassword(sourceProps.getPassword());
		druidDataSource.setDriverClassName(sourceProps.getDriverClassName());
		return druidDataSource;
	}

}
